/* Written July, 1993, by Thomas R. Kimpton, as an addition
 * to popper3.
 */

#include <errno.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <arpa/inet.h>
#include "popper.h"

extern state_table     states[];

/* 
 *  help:   Send help for POP commands
 */

pop_help(p)
POP     *       p;
{
state_table     *   s;
short found = 0;

	pop_msg(p,POP_SUCCESS, "Post Office Protocol help\n");

	if (p->parm_count == 1){ /* Do we want help for a specific command? */
		for (s = states; s->command; s++) {
			if (strcmp(s->command,p->pop_parm[1]) == 0) {
				(void)fprintf(p->output,"%s",s->helpText);
				found++;
			}
		}
		if(!found)
			(void)fprintf(p->output,"No help found for: '%s'\n",
				p->pop_parm[1]);
	}
	else /* No, we want help for everything. */
		for (s = states; s->command; s++) {
		    (void)fprintf(p->output,"%s",s->helpText);
		}
	(void)fprintf(p->output,"\n");
	fflush(p->output);
	return(POP_SUCCESS);
}
